package com.ssj.service.sys.imlibuser.service;

import com.ssj.bean.sys.imlibuser.TbClassTeacherTemp;
import com.ssj.bean.weixin.libmy.domain.TbLibJoin;
import com.ssj.framework.core.common.service.BaseService;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Map;

public interface TbClassTeacherTempService extends BaseService<TbClassTeacherTemp, String> {
	
	 /**
	  * 查询老师添加失败的分页
	  * @param searchParam
	  * @param pageable
	  * @return
	  */
	 Page<Map<String, Object>> findTeacherErrorByPage(Map<String, Object> searchParam, Pageable pageable);
	
	 /**
	  * 添加老师
	  * @param TbClassTeacher
	  * @return
	  */
	 int insertTbLibImTeacher(TbLibJoin libJoin,TbClassTeacherTemp tbLibImTeacherTemp);
	 int insertTbLibImPrincipal(TbLibJoin libJoin,TbClassTeacherTemp tbLibImTeacherTemp);
	 int insertTbLibImLeader(TbLibJoin libJoin,TbClassTeacherTemp tbLibImTeacherTemp);
	 int insertTbLibImHeadmaster(TbLibJoin libJoin,TbClassTeacherTemp tbLibImTeacherTemp);
	 
	 /**
	  * 批量老师
	  * @param TbClassTeacher
	  * @return
	  */
	 int insertBatchTbLibImTeacher(List<TbClassTeacherTemp> tbLibImTeacherTemps);
	 
	 int insertBatchTbLibImPrincipal(List<TbClassTeacherTemp> tbLibImTeacherTemps);
	 
	 int insertBatchTbLibImLeader(List<TbClassTeacherTemp> tbLibImTeacherTemps);
	 
	 int insertBatchTbLibImHeadmaster(List<TbClassTeacherTemp> tbLibImTeacherTemps);
	 
	 TbClassTeacherTemp getTbLibImTeacherTempByLibId(String libId,String teacherId);
	 
	 

}
